liborigin 2.0.0

Classes | Typedefs | Enumerations
Origin Namespace Reference

## Classes
struct | Bitmap
struct | Color
struct | ColorMap
struct | ColorMapLevel
struct | ColorScale
struct | Excel
struct | Figure
struct | Function
struct | Graph
struct | GraphAxis
struct | GraphAxisBreak
struct | GraphAxisFormat
struct | GraphAxisTick
struct | GraphCurve
struct | GraphGrid
struct | GraphLayer
struct | GraphLayerRange
struct | Line
struct | LineVertex
struct | Matrix
struct | Note
struct | PercentileProperties
struct | PieProperties
struct | ProjectNode
struct | Rect
struct | SpreadColumn
struct | SpreadSheet
struct | SurfaceProperties
struct | TextBox
struct | TextProperties
struct | VectorProperties
struct | Window

## Typedefs
typedef vector< pair< double, ColorMapLevel > > | ColorMapVector
typedef boost::variant< double, string > | variant

## Enumerations
enum | Attach { Frame = 0 , Page = 1 , Scale = 2 }
enum | BorderType { BlackLine = 0 , Shadow = 1 , DarkMarble = 2 , WhiteOut = 3 , BlackOut = 4 , None = -1 }
enum | FillPattern { NoFill , BDiagDense , BDiagMedium , BDiagSparse , FDiagDense , FDiagMedium , FDiagSparse , DiagCrossDense , DiagCrossMedium , DiagCrossSparse , HorizontalDense , HorizontalMedium , HorizontalSparse , VerticalDense , VerticalMedium , VerticalSparse , CrossDense , CrossMedium , CrossSparse }
enum | NumericDisplayType { DefaultDecimalDigits = 0 , DecimalPlaces = 1 , SignificantDigits = 2 }
enum | ValueType { Numeric = 0 , Text = 1 , Time = 2 , Date = 3 , Month = 4 , Day = 5 , ColumnHeading = 6 , TickIndexedDataset = 7 , TextNumeric = 9 , Categorical = 10 }

## Typedef Documentation

## ◆ ColorMapVector

typedef vector<pair<double, ColorMapLevel> > Origin::ColorMapVector

## ◆ variant

typedef boost::variant<double, string> Origin::variant

## Enumeration Type Documentation

## ◆ Attach

enum Origin::Attach

Enumerator
Frame |
Page |
Scale |

## ◆ BorderType

enum Origin::BorderType

Enumerator
BlackLine |
Shadow |
DarkMarble |
WhiteOut |
BlackOut |
None |

## ◆ FillPattern

enum Origin::FillPattern

Enumerator
NoFill |
BDiagDense |
BDiagMedium |
BDiagSparse |
FDiagDense |
FDiagMedium |
FDiagSparse |
DiagCrossDense |
DiagCrossMedium |
DiagCrossSparse |
HorizontalDense |
HorizontalMedium |
HorizontalSparse |
VerticalDense |
VerticalMedium |
VerticalSparse |
CrossDense |
CrossMedium |
CrossSparse |

## ◆ NumericDisplayType

enum Origin::NumericDisplayType

Enumerator
DefaultDecimalDigits |
DecimalPlaces |
SignificantDigits |

## ◆ ValueType

enum Origin::ValueType

Enumerator
Numeric |
Text |
Time |
Date |
Month |
Day |
ColumnHeading |
TickIndexedDataset |
TextNumeric |
Categorical |